
/**
 * First we will load all of this project's JavaScript dependencies which
 * includes Vue and other libraries. It is a great starting point when
 * building robust, powerful web applications using Vue and Laravel.
 */

require('./bootstrap');

window.Vue = require('vue');

const app = new Vue({
    el: '#app',
    data:
    {
        users:[]
    },
    ready : function()
    {
        this.newsMessages();
    },
    methods: {
        newsMessages: function () {
            this.$http.get('messages/update/list', function (data) {
                this.$set('users', data);
                console.log(data);
            });
        }
    }
});
